package com.steerinfo.baseinfo.meterbasesubunit.service;

import com.steerinfo.framework.service.IBaseService;
import com.steerinfo.baseinfo.meterbasesubunit.model.MeterBaseSubunit;

import java.util.List;

/**
 * MeterBaseSubunit服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2020-06-18 05:23
 * 类描述
 * 修订历史：
 * 日期：2020-06-18
 * 作者：generator
 * 参考：
 * 描述：MeterBaseSubunit服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IMeterBaseSubunitService extends IBaseService<MeterBaseSubunit, String>{
     String checkandadd(MeterBaseSubunit model);

     String Recovery(List<MeterBaseSubunit> models);

     String checkandupdate(String id,MeterBaseSubunit model);

     String abolish(List<MeterBaseSubunit> models);
}